.calendar-container {
  display: flex;
  flex-direction: column;
  margin: auto;
  max-width: 40%;
  padding: var(--space-md) var(--space-xl) var(--space-sm);
  border: 1px solid var(--dark-color);

  .table-body,
  .table-head {
    display: flex;
    justify-content: space-between;
    width: var(--full-width);

    & > div {
      display: flex;
      justify-content: center;
      text-align: center;
    }
  }

  .table-head {
    & > div {
      width: var(--cell-size);
      padding: var(--space-sm);
      border-bottom: 1px solid var(--dark-color);
    }
  }

  .table-body {
    display: flex;
    flex-direction: column;

    .day-cell {
      width: var(--cell-size);
      font-size: .825em;
      padding: var(--space-sm);
      border-bottom: 1px solid var(--dark-color);
      cursor: pointer;
      transition: background .2s ease-out;

      &.active{
        background: var(--primary-color);
        color: var(--light-color);
      }

      &.selected {
        @extend .active;
        background: var(--link-color);
      }

      &.disabled {
        background: var(--disabled-color);
        cursor: not-allowed;

        &:hover {
          background: var(--disabled-color);
        }
      }

      &:hover {
        background: var(--active-cell-color);
      }
    }

    & .week-row:last-child {
      .day-cell {
        border: 0;
      }
    }
  }
}
